/*
 * ShowMessages.java
 *
 * Created on 19 April 2005, 20:24
 */

package jim.mailapp.struts;

import javax.servlet.http.*;
import jim.common.*;
import jim.common.mail.*;
import org.apache.struts.action.*;
import java.util.*;
import jim.mailapp.*;
import jim.util.struts.*;

/**
 *
 * @author  briggsj
 */
public class ShowMessagesAction extends MailAppBaseAction {
    
    /** Creates a new instance of ShowMessages */
    public ShowMessagesAction() {
    }
    
    public ActionForward doExecute(StrutsUtils su) throws java.io.IOException, javax.servlet.ServletException, JimFatalException {
        MessageProcess mp;
        try {
            mp = new MessageProcess();
        } catch (Exception e) {
            JimActionErrors err = new JimActionErrors();
            err.addGlobal("mail.nomessages", "");
            return su.failure();
        }
        Map msgs = mp.getMessages();
        su.setAttribute("mailapp.messages", msgs, StrutsUtils.REQUEST_SCOPE);
        return su.success();
    }
    
}
