/*
 * LogFilter.java
 *
 * Created on 02 April 2005, 10:37
 */

package jim.util;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import jim.common.*;
import org.apache.commons.logging.Log;


/**
 *
 * @author  briggsj
 */
public class LogFilter implements Filter {
    
    /** Creates a new instance of logFilter */
    public LogFilter() {
    }
    
    public void destroy() {
    }
    
    public void doFilter(ServletRequest servletRequest, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest)servletRequest;
        Log log = Logger.getLogger();
        StringBuffer logline = new StringBuffer();
        logline.append(request.getRequestURL() + ":");
        logline.append(request.getRemoteHost()+ ":");
        String anonymiser = RequestUtils.getParameter(request, "anonymiser", "ana");
        logline.append(anonymiser+":");
        String annum = RequestUtils.getParameter(request, "annum", "yna");
        logline.append(annum+":");
        log.info(logline);
        chain.doFilter(request, response);
    }
    
    public void init(FilterConfig filterConfig) throws ServletException {
    }
    
}
