/*
 * ExceptionHandler.java
 *
 * Created on 01 April 2005, 16:25
 */

package jim.util.struts;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.*;
import org.apache.struts.config.ExceptionConfig;
import org.apache.commons.logging.*;
import java.util.*;

/**
 *
 * @author  briggsj
 */
public class MyExceptionHandler extends ExceptionHandler {
    
    /** Creates a new instance of ExceptionHandler */
    public MyExceptionHandler() {
    }
    
    public ActionForward execute(Exception exception,
    ExceptionConfig exceptionConfig,
    ActionMapping mapping,
    ActionForm form,
    HttpServletRequest request,
    HttpServletResponse response) {
        Log log = jim.common.Logger.getLogger();
        log.fatal(new Date() + " Fatal exception in Viewpoint", exception);
        request.setAttribute("exception", exception);
        return mapping.findForward("exceptions");
    }
    
}
