/*
 * ComposeForm.java
 *
 * Created on 24 April 2005, 09:53
 */

package jim.mailapp.struts;

import org.apache.struts.action.ActionForm;

/**
 *
 * @author  briggsj
 */
public class ComposeForm extends ActionForm {
    
    /**
     * Holds value of property messageName.
     */
    private String messageName;
    
    /**
     * Holds value of property changed.
     */
    private boolean changed;
    
    /**
     * Holds value of property text.
     */
    private String text;
    
    /**
     * Holds value of property button.
     */
    private String button;
    
    /**
     * Holds value of property editText.
     */
    private String editText;
    
    /**
     * Holds value of property insertMessageName.
     */
    private String insertMessageName;
    
    /**
     * Holds value of property openMessageName.
     */
    private String openMessageName;
    
    /**
     * Holds value of property saveMessageName.
     */
    private String saveMessageName;
    
    /**
     * Holds value of property discard.
     */
    private boolean discard;
    
    /** Creates a new instance of ComposeForm */
    public ComposeForm() {
    }
    
    /**
     * Getter for property messageName.
     * @return Value of property messageName.
     */
    public String getMessageName() {
        return this.messageName;
    }
    
    /**
     * Setter for property messageName.
     * @param messageName New value of property messageName.
     */
    public void setMessageName(String messageName) {
        this.messageName = messageName;
    }
    
    /**
     * Getter for property changed.
     * @return Value of property changed.
     */
    public boolean isChanged() {
        return this.changed;
    }
    
    /**
     * Setter for property changed.
     * @param changed New value of property changed.
     */
    public void setChanged(boolean changed) {
        this.changed = changed;
    }
    
    /**
     * Getter for property text.
     * @return Value of property text.
     */
    public String getText() {
        return this.text;
    }
    
    /**
     * Setter for property text.
     * @param text New value of property text.
     */
    public void setText(String text) {
        this.text = text;
    }
    
    /**
     * Getter for property button.
     * @return Value of property button.
     */
    public String getButton() {
        return this.button;
    }
    
    /**
     * Setter for property button.
     * @param button New value of property button.
     */
    public void setButton(String button) {
        this.button = button;
    }
    
    /**
     * Getter for property editText.
     * @return Value of property editText.
     */
    public String getEditText() {
        return this.editText;
    }
    
    /**
     * Setter for property editText.
     * @param editText New value of property editText.
     */
    public void setEditText(String editText) {
        this.editText = editText;
    }
    
    /**
     * Getter for property insertMessageName.
     * @return Value of property insertMessageName.
     */
    public String getInsertMessageName() {
        return this.insertMessageName;
    }
    
    /**
     * Setter for property insertMessageName.
     * @param insertMessageName New value of property insertMessageName.
     */
    public void setInsertMessageName(String insertMessageName) {
        this.insertMessageName = insertMessageName;
    }
    
    /**
     * Getter for property openMessageName.
     * @return Value of property openMessageName.
     */
    public String getOpenMessageName() {
        return this.openMessageName;
    }
    
    /**
     * Setter for property openMessageName.
     * @param openMessageName New value of property openMessageName.
     */
    public void setOpenMessageName(String openMessageName) {
        this.openMessageName = openMessageName;
    }
    
    /**
     * Getter for property saveMessageName.
     * @return Value of property saveMessageName.
     */
    public String getSaveMessageName() {
        return this.saveMessageName;
    }
    
    /**
     * Setter for property saveMessageName.
     * @param saveMessageName New value of property saveMessageName.
     */
    public void setSaveMessageName(String saveMessageName) {
        this.saveMessageName = saveMessageName;
    }
    
    /**
     * Getter for property changedSymbol.
     * @return Value of property changedSymbol.
     */
    public String getChangedSymbol() {
        if (changed) {
            return "*";
        } else {
            return "";
        }
    }
    
    /**
     * Getter for property changedString.
     * @return Value of property changedString.
     */
    public String getChangedString() {
        if (changed) {
            return "1";
        } else {
            return "0";
        }
    }
    
    /**
     * Setter for property changedString.
     * @param changedString New value of property changedString.
     */
    public void setChangedString(String changedString) {
        if (Integer.parseInt(changedString) > 0 || "true".equalsIgnoreCase(changedString)) {
            changed = true;
        } else {
            changed = false;
        }
    }
    
    /**
     * Getter for property discard.
     * @return Value of property discard.
     */
    public boolean isDiscard() {
        return this.discard;
    }
    
    /**
     * Setter for property discard.
     * @param discard New value of property discard.
     */
    public void setDiscard(boolean discard) {
        this.discard = discard;
    }
    
}
