/*
 * loginbean.java
 *
 * Created on 30 December 2003, 22:17
 */

package jim.util;

import java.beans.*;

/**
 *
 * @author  briggsj
 */
public class LoginBean extends Object implements java.io.Serializable {
    
    private String username = "unknown";
    private String password = "";
    private int idno = 0;
    
    /** Holds value of property roles. */
    private String[] roles;
    
    /** Holds value of property forename. */
    private String forename;
    
    /** Holds value of property lastname. */
    private String lastname;
    
    /** Holds value of property label. */
    private String label;
    
    public LoginBean() {
    }
    
    public String getUsername () {
        return username;
    }
    
    public void setUsername (String username) {
        this.username = username;
    }
    
    public String getPassword () {
        return password;
    }
    
    public void setPassword (String password) {
        this.password = password;
    }
    
    public int getIdno () {
        return idno;
    }
    
    public void setIdno (int idno) {
        this.idno = idno;
    }
    
    public boolean isLoggedIn () {
        return idno > 0;
    }
    
    /** Indexed getter for property roles.
     * @param index Index of the property.
     * @return Value of the property at <CODE>index</CODE>.
     *
     */
    public String getRole (int index) {
        return this.roles[index];
    }
    
    /** Indexed setter for property roles.
     * @param index Index of the property.
     * @param roles New value of the property at <CODE>index</CODE>.
     *
     */
    public void setRole (int index, String roles) {
        this.roles[index] = roles;
    }
    
    /** Getter for property forename.
     * @return Value of property forename.
     *
     */
    public String getForename () {
        return this.forename;
    }
    
    /** Setter for property forename.
     * @param forename New value of property forename.
     *
     */
    public void setForename (String forename) {
        this.forename = forename;
    }
    
    /** Getter for property lastname.
     * @return Value of property lastname.
     *
     */
    public String getLastname () {
        return this.lastname;
    }
    
    /** Setter for property lastname.
     * @param lastname New value of property lastname.
     *
     */
    public void setLastname (String lastname) {
        this.lastname = lastname;
    }
    
    public String getName () {
        return forename + " " + lastname;
    }
    
    /** Getter for property label.
     * @return Value of property label.
     *
     */
    public String getLabel () {
        return this.label;
    }
    
    /** Setter for property label.
     * @param label New value of property label.
     *
     */
    public void setLabel (String label) {
        this.label = label;
    }
    
}